#lang racket/base
;;; SPDX-License-Identifier: LGPL-3.0-or-later
;;; SPDX-FileCopyrightText: Copyright © 2011-2021 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

(provide (all-from-out crypto)
         (all-defined-out))

(require crypto)
(require crypto/all)
(use-all-factories!)

(define (sha1 bs)
  (digest 'sha1 bs))

(define (sha256 bs)
  (digest 'sha256 bs))
